Package ru.bitel.oss.systems.inventory.product.common.bean

# Class Product

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.product.common.bean.Product

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Idable`

public class Product extends Id implements Cloneable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Product.Builder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `STATE_DISABLED`
  `static final short`
  `STATE_ENABLED`
  `static final short`
  `STATE_NULL`
  `static final short`
  `STATE_REMOVED`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Product()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Product.Builder`
  `builder()`
  `static Product.Builder`
  `builder(Product product)`
  `Product`
  `clone()`
  `int`
  `getAccountId()`
  `int`
  `getActivationModeId()`
  `BigDecimal`
  `getActivationPrice()`
  Предустановленная цена (не из тарифа).
  `Date`
  `getActivationTime()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDeactivationTime()`
  `String`
  `getDescription()`
  `String`
  `getDeviceProductId()`
  `short`
  `getDeviceState()`
  `int`
  `getProductSpecId()`
  `String`
  `getProductSpecTitle()`
  `List<Service>`
  `getServiceList()`
  `Date`
  `getSubscriptionTimeFrom()`
  `Date`
  `getSubscriptionTimeTo()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `int`
  `getUserId()`
  `void`
  `setAccountId(int accountId)`
  `void`
  `setActivationModeId(int activationMode)`
  `void`
  `setActivationPrice(BigDecimal activationCost)`
  `void`
  `setActivationTime(Date activationTime)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDeactivationTime(Date deactivationTime)`
  `void`
  `setDescription(String description)`
  `void`
  `setDeviceProductId(String deviceProductId)`
  `void`
  `setDeviceState(short deviceState)`
  `void`
  `setProductSpecId(int specId)`
  `void`
  `setProductSpecTitle(String specTitle)`
  `void`
  `setServiceList(List<Service> serviceList)`
  `void`
  `setSubscriptionTimeFrom(Date subscriptionTimeFrom)`
  `void`
  `setSubscriptionTimeTo(Date subscriptionTimeTo)`
  `void`
  `setTimeFrom(Date timeFrom)`
  `void`
  `setTimeTo(Date timeTo)`
  `void`
  `setUserId(int userId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATE_NULL

    public static final short STATE_NULL
    See Also:
      - Constant Field Values

  - ### STATE_REMOVED

    public static final short STATE_REMOVED
    See Also:
      - Constant Field Values

  - ### STATE_DISABLED

    public static final short STATE_DISABLED
    See Also:
      - Constant Field Values

  - ### STATE_ENABLED

    public static final short STATE_ENABLED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Product

    public Product()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId(int accountId)

  - ### setProductSpecId

    public void setProductSpecId(int specId)

  - ### setProductSpecTitle

    public void setProductSpecTitle(String specTitle)

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom(Date timeFrom)

  - ### getTimeTo

    public Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo(Date timeTo)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getActivationModeId

    public int getActivationModeId()

  - ### setActivationModeId

    public void setActivationModeId(int activationMode)

  - ### getActivationPrice

    public BigDecimal getActivationPrice()
    Предустановленная цена (не из тарифа).
    Returns:

  - ### setActivationPrice

    public void setActivationPrice(BigDecimal activationCost)

  - ### getActivationTime

    public Date getActivationTime()

  - ### setActivationTime

    public void setActivationTime(Date activationTime)

  - ### getDeactivationTime

    public Date getDeactivationTime()

  - ### setDeactivationTime

    public void setDeactivationTime(Date deactivationTime)

  - ### getProductSpecId

    public int getProductSpecId()

  - ### getProductSpecTitle

    public String getProductSpecTitle()

  - ### getDeviceProductId

    public String getDeviceProductId()

  - ### setDeviceProductId

    public void setDeviceProductId(String deviceProductId)

  - ### getDeviceState

    public short getDeviceState()

  - ### setDeviceState

    public void setDeviceState(short deviceState)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getServiceList

    public List<Service> getServiceList()

  - ### setServiceList

    public void setServiceList(List<Service> serviceList)

  - ### getSubscriptionTimeTo

    public Date getSubscriptionTimeTo()

  - ### setSubscriptionTimeTo

    public void setSubscriptionTimeTo(Date subscriptionTimeTo)

  - ### getSubscriptionTimeFrom

    public Date getSubscriptionTimeFrom()

  - ### setSubscriptionTimeFrom

    public void setSubscriptionTimeFrom(Date subscriptionTimeFrom)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### clone

    public Product clone()
    Overrides:
      `clone` in class `Object`

  - ### builder

    public static Product.Builder builder()

  - ### builder

    public static Product.Builder builder(Product product)